Search and DownloadsProperty Data

Property Data

Search millions of property records using the Datafiniti API.

curl -X POST "https://api.datafiniti.co/v4/properties/search" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -d '{
  "query": "country:US AND province:FL",
  "num_records": 1,
  "format": "JSON"
}'
{
  "num_found": 42,
  "total_cost": 3.14,
  "records": [
    {}
  ],
  "download_id": "example_string"
}
POST
/properties/search
POST
Bearer Token
Bearer Tokenstring
Required

Bearer token obtained from the /auth endpoint. Include in requests as: Authorization: Bearer <token>

Bearer token obtained from the /auth endpoint. Include in requests as: Authorization: Bearer <token>
Content-Typestring
Required

The media type of the request body

Options: application/json
querystring
Required

The search query using Datafiniti query syntax (e.g., country:US AND province:FL)

num_recordsinteger

The number of records your request will return, and the number of credits that will be deducted from your account. For non-downloads, the maximum is 10 records.

formatstring

Must be either json or csv. Defaults to json.

Options: json, csv
downloadboolean

Whether or not to start a download for this search.

viewstring

Specify a view you have created, or use a pre-made view. The view filters what data is displayed in your search results. If using auto_trace=true, leave blank or include people.people_keys:* in your view.

auto_traceboolean

Whether to autotrace property data with people data records that match. Set to true or false.

only_traceableboolean

Whether the records returned must have people data in the dataset. Set to true or false.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Bearer token obtained from the /auth endpoint. Include in requests as: Authorization: Bearer <token>

Body

application/json
querystring
Required

The search query using Datafiniti query syntax (e.g., country:US AND province:FL)

num_recordsinteger

The number of records your request will return, and the number of credits that will be deducted from your account. For non-downloads, the maximum is 10 records.

formatstring

Must be either json or csv. Defaults to json.

Allowed values:jsoncsv
downloadboolean

Whether or not to start a download for this search.

viewstring

Specify a view you have created, or use a pre-made view. The view filters what data is displayed in your search results. If using auto_trace=true, leave blank or include people.people_keys:* in your view.

auto_traceboolean

Whether to autotrace property data with people data records that match. Set to true or false.

only_traceableboolean

Whether the records returned must have people data in the dataset. Set to true or false.

Responses

num_foundinteger

Total number of matching records found

total_costnumber

Total credit cost for this request

recordsobject[]

Array of matching records

download_idstring

Download ID if download was requested (only present when download: true)

Autotrace

Learn how to use autotrace to combine property and people data.

Autotrace property x people data only applies to records with people.title:owner populated. You will not receive any records until this people title is populated.

Autotrace requires both a people and property data plan to work. One record returned will consume 1 people data and 1 property data credit. If you have questions about how this works please contact support@datafiniti.co.